%define module Unix-Mknod

Summary:	Perl extension for mknod, major, minor, and makedev
Name:		perl-%{module}
Version:	0.03
#
# %{RHEL} didn't seem to work on RHEL4 ia64
#Release:	1.%{RHEL}
Release:	1.rhel4
License:	distributable
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIRZYK/%{module}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -u -n)

Requires:	perl
BuildRequires:	perl

%description
This module allows access to the device routines major()/minor()/makedev()
that may or may not be macros in .h files.

It also allows access to the mknod system call.


%prep
%setup -q -n %{module}-%{version}


%build

%if %( [ %{RHEL} = rhel3 ] && echo 1 || echo 0 )
	%{__perl} Makefile.PL PREFIX=%{buildroot}/usr
%else
	%{__perl} Makefile.PL
%endif
# lose the packlist
%{__perl} -pi -e 's [^(\s+write\s+)\S+\.packlist(.+)$] [$1/dev/null$2];' Makefile
%{__make}


%install
%{__rm} -rf %{buildroot}
# pure_site_install, rather than install, to skip perllocal.pod
%{__make} pure_site_install DESTDIR=%{buildroot}/

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_mandir}/man3/*
%{perl_sitearch}/
%doc Changes README


%changelog
* Thu May 11 2006 Jim Pirzyk <pirzyk@uiuc.edu> 0.03-1.
- Updated for new source version.

* Tue Feb 21 2006 Seth Leichter <leichter@uiuc.edu> 0.02-3.
- Added RHEL macro to release tag.
- Use RHEL macro to test for rhel version in build.

* Tue Jan 31 2006 Seth Leichter <leichter@uiuc.edu> 0.02-2
- Improved BuildRoot
- Fix for RHEL3 (build: perl Makefile.PL)

* Fri Jan 13 2006 Seth Leichter <leichter@uiuc.edu> 0.02-1
- Initial package

